> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crazyrouter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GPTs 대화

> API를 통해 OpenAI GPTs 애플리케이션을 호출합니다

> 업데이트: 2026-06-06

## 개요

Crazyrouter는 표준 Chat Completions API를 통해 OpenAI GPTs(커스텀 GPT 애플리케이션)를 호출하는 것을 지원합니다. 모델명을 GPTs 전용 형식으로 설정하기만 하면 됩니다.

## 모델명 형식

```
gpt-4-gizmo-{gizmo_id}
```

여기서 `gizmo_id`는 GPTs의 고유 식별자로, GPTs의 URL에서 가져올 수 있습니다.

## Gizmo ID 가져오기

1. [ChatGPT GPTs 스토어](https://chatgpt.com/gpts)에 접속합니다
2. 대상 GPT 애플리케이션을 엽니다
3. URL에서 ID를 추출합니다: `https://chatgpt.com/g/g-B3hgivKK9-xxx` → ID는 `g-B3hgivKK9`

## 코드 예제

<CodeGroup>
  ```python Python theme={null}
  from openai import OpenAI

  client = OpenAI(
      api_key="sk-xxx",
      base_url="https://api.crazyrouter.com/v1"
  )

  # GPTs와 대화하기
  response = client.chat.completions.create(
      model="gpt-4-gizmo-g-B3hgivKK9",
      messages=[
          {"role": "user", "content": "안녕하세요, 자기소개를 해주세요"}
      ]
  )

  print(response.choices[0].message.content)
  ```

  ```bash cURL theme={null}
  curl -X POST https://api.crazyrouter.com/v1/chat/completions \
    -H "Authorization: Bearer sk-xxx" \
    -H "Content-Type: application/json" \
    -d '{
      "model": "gpt-4-gizmo-g-B3hgivKK9",
      "messages": [
        {"role": "user", "content": "안녕하세요, 자기소개를 해주세요"}
      ]
    }'
  ```
</CodeGroup>

<Warning>
  GPTs 호출에는 상위 채널의 지원이 필요합니다. 모든 GPTs를 사용할 수 있는 것은 아니며, 채널 설정에 따라 달라집니다.
</Warning>

<Note>
  GPTs 대화는 스트리밍 출력을 지원하며, `stream: true`를 설정하면 됩니다. 비용은 GPT-4 모델 가격에 따라 계산됩니다.
</Note>
